diff --git a/gcc/analyzer/region-model.cc b/gcc/analyzer/region-model.cc
index 890f7006fee..292d268300d 100644
--- a/gcc/analyzer/region-model.cc
+++ b/gcc/analyzer/region-model.cc
@@ -6879,22 +5719,22 @@ region_model2::compare_initial_and_pointer (const initial_svalue2 *init,
   return tristate::TS_UNKNOWN;
 }
 
-/* Attempt to add the constraint "LHS OP RHS" to this region_model2.
+/* Attempt to add the constraint "LHS OP RHS" to this region_model.
    If it is consistent with existing constraints, add it, and return true.
    Return false if it contradicts existing constraints.
    Use CTXT for reporting any diagnostics associated with the accesses.  */
 
 bool
-region_model2::add_constraint (tree lhs, enum tree_code op, tree rhs,
-			       region_model2_context *ctxt)
+region_model::add_constraint (tree lhs, enum tree_code op, tree rhs,
+			       region_model_context *ctxt)
 {
   /* For now, make no attempt to capture constraints on floating-point
      values.  */
   if (FLOAT_TYPE_P (TREE_TYPE (lhs)) || FLOAT_TYPE_P (TREE_TYPE (rhs)))
     return true;
 
-  const svalue2 *lhs_sval = get_rvalue (lhs, ctxt);
-  const svalue2 *rhs_sval = get_rvalue (rhs, ctxt);
+  const svalue *lhs_sval = get_rvalue (lhs, ctxt);
+  const svalue *rhs_sval = get_rvalue (rhs, ctxt);
 
   tristate t_cond = eval_condition (lhs_sval, op, rhs_sval);
 
@@ -6908,18 +5748,18 @@ region_model2::add_constraint (tree lhs, enum tree_code op, tree rhs,
     return false;
 
   /* Store the constraint.  */
-  m_constraints2->add_constraint (lhs_sval, op, rhs_sval);
+  m_constraints->add_constraint (lhs_sval, op, rhs_sval);
 
   add_any_constraints_from_ssa_def_stmt (lhs, op, rhs, ctxt);
 
 #if 0
-  /* If we now know a symbolic_region2 is non-NULL, clear its
+  /* If we now know a symbolic_region is non-NULL, clear its
      m_possibly_null.  */
   if (zerop (rhs) && op == NE_EXPR)
-    if (region_svalue2 *ptr = get_svalue2 (lhs_sval)->dyn_cast_region_svalue2 ())
+    if (region_svalue *ptr = get_svalue (lhs_sval)->dyn_cast_region_svalue ())
       {
-	region2 *pointee = get_region2 (ptr->get_pointee ());
-	if (symbolic_region2 *sym_reg = pointee->dyn_cast_symbolic_region2 ())
+	region *pointee = get_region (ptr->get_pointee ());
+	if (symbolic_region *sym_reg = pointee->dyn_cast_symbolic_region ())
 	  sym_reg->m_possibly_null = false;
       }
 #endif
@@ -6934,7 +5774,7 @@ region_model2::add_constraint (tree lhs, enum tree_code op, tree rhs,
   return true;
 }
 
-/* Subroutine of region_model2::add_constraint for handling optimized
+/* Subroutine of region_model::add_constraint for handling optimized
    && and || conditionals.
 
    If we have an SSA_NAME for a boolean compared against 0,
@@ -6953,10 +5793,10 @@ region_model2::add_constraint (tree lhs, enum tree_code op, tree rhs,
       p_8 != 0B.  */
 
 void
-region_model2::add_any_constraints_from_ssa_def_stmt (tree lhs,
+region_model::add_any_constraints_from_ssa_def_stmt (tree lhs,
 						     enum tree_code op,
 						     tree rhs,
-						     region_model2_context *ctxt)
+						     region_model_context *ctxt)
 {
   if (TREE_CODE (lhs) != SSA_NAME)
     return;
@@ -6978,10 +5818,10 @@ region_model2::add_any_constraints_from_ssa_def_stmt (tree lhs,
    where the result OP RHS.  */
 
 void
-region_model2::add_any_constraints_from_gassign (enum tree_code op,
+region_model::add_any_constraints_from_gassign (enum tree_code op,
 						tree rhs,
 						const gassign *assign,
-						region_model2_context *ctxt)
+						region_model_context *ctxt)
 {
   /* We have either
      - "LHS != false" (i.e. LHS is true), or
@@ -7050,10 +5890,10 @@ region_model2::add_any_constraints_from_gassign (enum tree_code op,
    where the result OP RHS.  */
 
 void
-region_model2::add_any_constraints_from_gcall (enum tree_code op,
+region_model::add_any_constraints_from_gcall (enum tree_code op,
 					       tree rhs,
 					       const gcall *call,
-					       region_model2_context *ctxt)
+					       region_model_context *ctxt)
 {
   if (gimple_call_builtin_p (call, BUILT_IN_EXPECT)
       || gimple_call_builtin_p (call, BUILT_IN_EXPECT_WITH_PROBABILITY)
@@ -7069,10 +5909,10 @@ region_model2::add_any_constraints_from_gcall (enum tree_code op,
    Use CTXT for reporting any diagnostics associated with the accesses.  */
 
 tristate
-region_model2::eval_condition (tree lhs,
+region_model::eval_condition (tree lhs,
 			       enum tree_code op,
 			       tree rhs,
-			       region_model2_context *ctxt)
+			       region_model_context *ctxt)
 {
   /* For now, make no attempt to model constraints on floating-point
      values.  */
@@ -7084,43 +5924,18 @@ region_model2::eval_condition (tree lhs,
 			 get_rvalue (rhs, ctxt));
 }
 
-/* If SID is a constant value, return the underlying tree constant.
-   Otherwise, return NULL_TREE.  */
-#if 0
-tree
-region_model2::maybe_get_constant (const svalue2 *sval) const
-{
-  gcc_assert (!sid.null_p ());
-  svalue2 *sval = get_svalue2 (sid);
-  return sval->maybe_get_constant ();
-}
-#endif
-
-/* Create a new child region2 of the heap (creating the heap region2 if
-   necessary).
-   Return the region2 *of the new child region2.  */
-#if 0
-region2_id
-region_model2::add_new_malloc_region2 ()
-{
-  region2 *heap_reg
-    = get_root_region2 ()->ensure_heap_region2 (this);
-  return add_region2 (new symbolic_region2 (heap_reg, NULL_TREE, true));
-}
-#endif
-
 /* Attempt to return a path_var that represents SVAL, or return NULL_TREE.
    Use VISITED to prevent infinite mutual recursion with the overload for
    regions.  */
 
 path_var
-region_model2::get_representative_path_var (const svalue2 *sval,
-					    hash_set <const svalue2 *> *visited) const
+region_model::get_representative_path_var (const svalue *sval,
+					    hash_set <const svalue *> *visited) const
 {
   if (sval == NULL)
     return path_var (NULL_TREE, 0);
 
-  if (const svalue2 *cast_sval = sval->maybe_undo_cast ())
+  if (const svalue *cast_sval = sval->maybe_undo_cast ())
     sval = cast_sval;
 
   /* Prevent infinite recursion.  */
@@ -7135,9 +5950,9 @@ region_model2::get_representative_path_var (const svalue2 *sval,
     pvs.safe_push (path_var (cst, 0));
 
   /* Handle string literals and various other pointers.  */
-  if (const region_svalue2 *ptr_sval = sval->dyn_cast_region_svalue2 ())
+  if (const region_svalue *ptr_sval = sval->dyn_cast_region_svalue ())
     {
-      const region2 *reg = ptr_sval->get_pointee ();
+      const region *reg = ptr_sval->get_pointee ();
       if (path_var pv = get_representative_path_var (reg, visited))
 	return path_var (build1 (ADDR_EXPR,
 				 TREE_TYPE (sval->get_type ()),
@@ -7147,13 +5962,13 @@ region_model2::get_representative_path_var (const svalue2 *sval,
 
 #if CONJURED_VALUES_FOR_UNKNOWN_FNCALLS
   /* If we have a sub_svalue, look for ways to represent the parent.  */
-  if (const sub_svalue2 *sub_sval = sval->dyn_cast_sub_svalue2 ())
+  if (const sub_svalue *sub_sval = sval->dyn_cast_sub_svalue ())
     {
-      const svalue2 *parent_sval = sub_sval->get_parent ();
-      const region2 *subreg = sub_sval->get_subregion ();
+      const svalue *parent_sval = sub_sval->get_parent ();
+      const region *subreg = sub_sval->get_subregion ();
       if (path_var parent_pv
 	    = get_representative_path_var (parent_sval, visited))
-	if (const field_region2 *field_reg = subreg->dyn_cast_field_region2 ())
+	if (const field_region *field_reg = subreg->dyn_cast_field_region ())
 	  return path_var (build3 (COMPONENT_REF,
 				   sval->get_type (),
 				   parent_pv.m_tree,
@@ -7170,14 +5985,14 @@ region_model2::get_representative_path_var (const svalue2 *sval,
   return pvs[0];
 
 #if 0
-  /* Find the first region2 that stores the value (e.g. a local) and
+  /* Find the first region that stores the value (e.g. a local) and
      generate a representative tree for it.  */
   unsigned i;
-  region2 *region2;
-  FOR_EACH_VEC_ELT (m_region2s, i, region2)
-    if (sid == region2->get_value_direct ())
+  region *region;
+  FOR_EACH_VEC_ELT (m_regions, i, region)
+    if (sid == region->get_value_direct ())
       {
-	path_var pv = get_representative_path_var (region2_id::from_int (i));
+	path_var pv = get_representative_path_var (region_id::from_int (i));
 	if (pv.m_tree)
 	  return pv.m_tree;
       }
@@ -7189,51 +6004,51 @@ region_model2::get_representative_path_var (const svalue2 *sval,
 /* Attempt to return a tree that represents SVAL, or return NULL_TREE.  */
 
 tree
-region_model2::get_representative_tree (const svalue2 *sval) const
+region_model::get_representative_tree (const svalue *sval) const
 {
-  hash_set <const svalue2 *> visited;
+  hash_set <const svalue *> visited;
   return get_representative_path_var (sval, &visited).m_tree;
 }
 
 /* Attempt to return a path_var that represents REG, or return
    the NULL path_var.
-   For example, a region2 for a field of a local would be a path_var
+   For example, a region for a field of a local would be a path_var
    wrapping a COMPONENT_REF.
    Use VISITED to prevent infinite mutual recursion with the overload for
-   svalue2s.  */
+   svalues.  */
 
 path_var
-region_model2::get_representative_path_var (const region2 *reg,
-					    hash_set <const svalue2 *> *visited) const
+region_model::get_representative_path_var (const region *reg,
+					    hash_set <const svalue *> *visited) const
 {
   switch (reg->get_kind ())
     {
     default:
       gcc_unreachable ();
 
-    case region2::RK_FRAME:
-    case region2::RK_GLOBALS:
-    case region2::RK_CODE:
-    case region2::RK_HEAP:
-    case region2::RK_STACK:
-    case region2::RK_ROOT:
+    case region::RK_FRAME:
+    case region::RK_GLOBALS:
+    case region::RK_CODE:
+    case region::RK_HEAP:
+    case region::RK_STACK:
+    case region::RK_ROOT:
        /* Regions that represent memory spaces are not expressible as trees.  */
       return path_var (NULL_TREE, 0);
 
-    case region2::RK_FUNCTION:
+    case region::RK_FUNCTION:
       {
-	const function_region2 *function_reg
-	  = as_a <const function_region2 *> (reg);
+	const function_region *function_reg
+	  = as_a <const function_region *> (reg);
 	return path_var (function_reg->get_fndecl (), 0);
       }
-    case region2::RK_LABEL:
+    case region::RK_LABEL:
       gcc_unreachable (); // TODO
 
-    case region2::RK_SYMBOLIC:
+    case region::RK_SYMBOLIC:
       {
-	const symbolic_region2 *symbolic_reg
-	  = as_a <const symbolic_region2 *> (reg);
-	const svalue2 *pointer = symbolic_reg->get_pointer ();
+	const symbolic_region *symbolic_reg
+	  = as_a <const symbolic_region *> (reg);
+	const svalue *pointer = symbolic_reg->get_pointer ();
 	path_var pointer_pv = get_representative_path_var (pointer, visited);
 	if (!pointer_pv)
 	  return path_var (NULL_TREE, 0);
@@ -7244,14 +6059,14 @@ region_model2::get_representative_path_var (const region2 *reg,
 				 offset),
 			 pointer_pv.m_stack_depth);
       }
-    case region2::RK_DECL:
+    case region::RK_DECL:
       {
-	const decl_region2 *decl_reg = as_a <const decl_region2 *> (reg);
+	const decl_region *decl_reg = as_a <const decl_region *> (reg);
 	return path_var (decl_reg->get_decl (), decl_reg->get_stack_depth ());
       }
-    case region2::RK_FIELD:
+    case region::RK_FIELD:
       {
-	const field_region2 *field_reg = as_a <const field_region2 *> (reg);
+	const field_region *field_reg = as_a <const field_region *> (reg);
 	path_var parent_pv
 	  = get_representative_path_var (reg->get_parent_region (), visited);
 	if (!parent_pv)
@@ -7264,10 +6079,10 @@ region_model2::get_representative_path_var (const region2 *reg,
 			 parent_pv.m_stack_depth);
       }
 
-    case region2::RK_ELEMENT:
+    case region::RK_ELEMENT:
       {
-	const element_region2 *element_reg
-	  = as_a <const element_region2 *> (reg);
+	const element_region *element_reg
+	  = as_a <const element_region *> (reg);
 	path_var parent_pv
 	  = get_representative_path_var (reg->get_parent_region (), visited);
 	if (!parent_pv)
@@ -7283,10 +6098,10 @@ region_model2::get_representative_path_var (const region2 *reg,
 			 parent_pv.m_stack_depth);
       }
 
-    case region2::RK_OFFSET:
+    case region::RK_OFFSET:
       {
-	const offset_region2 *offset_reg
-	  = as_a <const offset_region2 *> (reg);
+	const offset_region *offset_reg
+	  = as_a <const offset_region *> (reg);
 	path_var parent_pv
 	  = get_representative_path_var (reg->get_parent_region (), visited);
 	if (!parent_pv)
@@ -7302,7 +6117,7 @@ region_model2::get_representative_path_var (const region2 *reg,
 			 parent_pv.m_stack_depth);
       }
 
-    case region2::RK_CAST:
+    case region::RK_CAST:
       {
 	path_var parent_pv
 	  = get_representative_path_var (reg->get_parent_region (), visited);
@@ -7314,71 +6129,29 @@ region_model2::get_representative_path_var (const region2 *reg,
 			 parent_pv.m_stack_depth);
       }
 
-    case region2::RK_HEAP_ALLOCATED:
-    case region2::RK_ALLOCA:
+    case region::RK_HEAP_ALLOCATED:
+    case region::RK_ALLOCA:
       /* No good way to express heap-allocated/alloca regions as trees.  */
       return path_var (NULL_TREE, 0);
 
-    case region2::RK_STRING:
+    case region::RK_STRING:
       {
-	const string_region2 *string_reg = as_a <const string_region2 *> (reg);
+	const string_region *string_reg = as_a <const string_region *> (reg);
 	return path_var (string_reg->get_string_cst (), 0);
       }
 
-    case region2::RK_UNKNOWN:
+    case region::RK_UNKNOWN:
       return path_var (NULL_TREE, 0);
     }
 }
 
-/* Locate all region2s that directly have value SVAL and append representative
-   path_var instances for them into *OUT.  */
-/* FIXME: other ways of getting to the svalue e.g. for initial_svalue2s?
-   Also: this might not be the best human-readable description to use.  */
-#if 0
-void
-region_model2::get_path_vars_for_svalue2 (const svalue2 *sval,
-					  int i,
-					  auto_vec<path_var> *out) const
-{
-  return m_store.get_representative_path_vars (this, sval, out);
-
-#if 0
-  unsigned i;
-  region2 *region2;
-  FOR_EACH_VEC_ELT (m_region2s, i, region2)
-    if (sval == region2->get_value_direct ())
-      {
-	path_var pv = get_representative_path_var (sval);
-	if (pv.m_tree)
-	  out->safe_push (pv);
-      }
-#endif
-}
-#endif
-
-/* Set DST_REG value to be a new unknown value of type TYPE.  */
-#if 0
-svalue2_id
-region_model2::set_to_new_unknown_value (region2 *dst_reg, tree type,
-					region_model2_context *ctxt)
-{
-  gcc_assert (!dst_reg.null_p ());
-  const svalue2 *new_sval = add_svalue2 (new unknown_svalue2 (type));
-  set_value (dst_reg, new_sval, ctxt);
-
-  // TODO: presumably purge all child region2s too (but do this in set_value?)
-
-  return new_sval;
-}
-#endif
-
 /* Update this model for any phis in SNODE, assuming we came from
    LAST_CFG_SUPEREDGE.  */
 
 void
-region_model2::update_for_phis (const supernode *snode,
+region_model::update_for_phis (const supernode *snode,
 			       const cfg_superedge *last_cfg_superedge,
-			       region_model2_context *ctxt)
+			       region_model_context *ctxt)
 {
   gcc_assert (last_cfg_superedge);
 
@@ -7416,9 +6189,9 @@ region_model2::update_for_phis (const supernode *snode,
    than program state).  */
 
 bool
-region_model2::maybe_update_for_edge (const superedge &edge,
+region_model::maybe_update_for_edge (const superedge &edge,
 				      const gimple *last_stmt,
-				      region_model2_context *ctxt)
+				      region_model_context *ctxt)
 {
   /* Handle frame updates for interprocedural edges.  */
   switch (edge.m_kind)
@@ -7472,19 +6245,19 @@ region_model2::maybe_update_for_edge (const superedge &edge,
   return true;
 }
 
-/* Push a new frame_region2 on to the stack region2.
-   Populate the frame_region2 with child region2s for the function call's
+/* Push a new frame_region on to the stack region.
+   Populate the frame_region with child regions for the function call's
    parameters, using values from the arguments at the callsite in the
    caller's frame.  */
 
 void
-region_model2::update_for_call_superedge (const call_superedge &call_edge,
-					  region_model2_context *ctxt)
+region_model::update_for_call_superedge (const call_superedge &call_edge,
+					  region_model_context *ctxt)
 {
-  /* Build a vec of argument svalue2_id, using the current top
+  /* Build a vec of argument svalues, using the current top
      frame for resolving tree expressions.  */
   const gcall *call_stmt = call_edge.get_call_stmt ();
-  auto_vec<const svalue2 *> arg_svals (gimple_call_num_args (call_stmt));
+  auto_vec<const svalue *> arg_svals (gimple_call_num_args (call_stmt));
 
   for (unsigned i = 0; i < gimple_call_num_args (call_stmt); i++)
     {
@@ -7495,15 +6268,15 @@ region_model2::update_for_call_superedge (const call_superedge &call_edge,
   push_frame (call_edge.get_callee_function (), &arg_svals, ctxt);
 }
 
-/* Pop the top-most frame_region2 from the stack, and copy the return
-   region2's values (if any) into the region2 for the lvalue of the LHS of
+/* Pop the top-most frame_region from the stack, and copy the return
+   region's values (if any) into the region for the lvalue of the LHS of
    the call (if any).  */
 void
-region_model2::update_for_return_superedge (const return_superedge &return_edge,
-					    region_model2_context *ctxt)
+region_model::update_for_return_superedge (const return_superedge &return_edge,
+					    region_model_context *ctxt)
 {
-  /* Get the region2 for the result of the call, within the caller frame.  */
-  const region2 *result_dst_reg = NULL;
+  /* Get the region for the result of the call, within the caller frame.  */
+  const region *result_dst_reg = NULL;
   const gcall *call_stmt = return_edge.get_call_stmt ();
   tree lhs = gimple_call_lhs (call_stmt);
   if (lhs)
@@ -7516,7 +6289,7 @@ region_model2::update_for_return_superedge (const return_superedge &return_edge,
 				   ctxt);
     }
 
-  purge_stats2 stats;
+  purge_stats stats;
   pop_frame (result_dst_reg, true, &stats, NULL, ctxt);
 
   // TODO: do something with the stats?
@@ -7526,19 +6299,19 @@ region_model2::update_for_return_superedge (const return_superedge &return_edge,
     {
       /* This could be a leak; try purging again, but this time,
 	 don't special-case the result sids (as was done in pop_frame).  */
-      purge_unused_svalue2s (&stats, ctxt);
+      purge_unused_svalues (&stats, ctxt);
     }
 #endif
 }
-/* Update this region_model2 with a summary of the effect of calling
+/* Update this region_model with a summary of the effect of calling
    and returning from CG_SEDGE.
 
    TODO: Currently this is extremely simplistic: we merely set the
    return value to "unknown".  A proper implementation would e.g. update
    sm-state, and presumably be reworked to support multiple outcomes.  */
 void
-region_model2::update_for_call_summary (const callgraph_superedge &cg_sedge,
-					region_model2_context *ctxt)
+region_model::update_for_call_summary (const callgraph_superedge &cg_sedge,
+					region_model_context *ctxt)
 {
   /* For now, set any return value to "unknown".  */
   const gcall *call_stmt = cg_sedge.get_call_stmt ();
@@ -7558,9 +6331,9 @@ region_model2::update_for_call_summary (const callgraph_superedge &cg_sedge,
    (and so the edge should not be taken).  */
 
 bool
-region_model2::apply_constraints_for_gcond (const cfg_superedge &sedge,
+region_model::apply_constraints_for_gcond (const cfg_superedge &sedge,
 					    const gcond *cond_stmt,
-					    region_model2_context *ctxt)
+					    region_model_context *ctxt)
 {
   ::edge cfg_edge = sedge.get_cfg_edge ();
   gcc_assert (cfg_edge != NULL);
@@ -7583,9 +6356,9 @@ region_model2::apply_constraints_for_gcond (const cfg_superedge &sedge,
    (and so the edge should not be taken).  */
 
 bool
-region_model2::apply_constraints_for_gswitch (const switch_cfg_superedge &edge,
+region_model::apply_constraints_for_gswitch (const switch_cfg_superedge &edge,
 					      const gswitch *switch_stmt,
-					      region_model2_context *ctxt)
+					      region_model_context *ctxt)
 {
   tree index  = gimple_switch_index (switch_stmt);
   tree case_label = edge.get_case_label ();
@@ -7622,7 +6395,7 @@ region_model2::apply_constraints_for_gswitch (const switch_cfg_superedge &edge,
 	    {
 	      /* Exclude this range-valued case.
 		 For now, we just exclude the boundary values.
-		 TODO: exclude the values within the region2.  */
+		 TODO: exclude the values within the region.  */
 	      if (!add_constraint (index, NE_EXPR, other_lower_bound,
 				   ctxt))
 		return false;
@@ -7646,32 +6419,32 @@ region_model2::apply_constraints_for_gswitch (const switch_cfg_superedge &edge,
    the region.  */
 
 void
-region_model2::on_top_level_param (tree param,
-				   region_model2_context *ctxt)
+region_model::on_top_level_param (tree param,
+				   region_model_context *ctxt)
 {
   if (POINTER_TYPE_P (TREE_TYPE (param)))
     {
-      const region2 *param_reg = get_lvalue (param, ctxt);
-      const svalue2 *init_ptr_sval
+      const region *param_reg = get_lvalue (param, ctxt);
+      const svalue *init_ptr_sval
 	= m_mgr->get_or_create_initial_value (param_reg);
-      const region2 *pointee_reg = m_mgr->get_symbolic_region (init_ptr_sval);
+      const region *pointee_reg = m_mgr->get_symbolic_region (init_ptr_sval);
       m_store.mark_as_escaped (pointee_reg);
     }
 }
 
 // FIXME:
-/* Create a new frame_region2 for a call to FUN and push it onto
+/* Create a new frame_region for a call to FUN and push it onto
    the stack.
 
    If ARG_SVALS is non-NULL, use it to populate the parameters
    in the new frame.
    Otherwise, populate them with unknown values.
 
-   Return the new frame_region2.  */
+   Return the new frame_region.  */
 
-const region2 *
-region_model2::push_frame (function *fun, vec<const svalue2 *> *arg_svals,
-			   region_model2_context *ctxt)
+const region *
+region_model::push_frame (function *fun, vec<const svalue *> *arg_svals,
+			   region_model_context *ctxt)
 {
   m_current_frame = m_mgr->get_frame_region (m_current_frame, fun);
   if (arg_svals)
@@ -7687,15 +6460,15 @@ region_model2::push_frame (function *fun, vec<const svalue2 *> *arg_svals,
 	     rest of the params as uninitialized.  */
 	  if (idx >= arg_svals->length ())
 	    break;
-	  const svalue2 *arg_sval = (*arg_svals)[idx];
-	  const region2 *parm_reg = get_lvalue (iter_parm, ctxt);
+	  const svalue *arg_sval = (*arg_svals)[idx];
+	  const region *parm_reg = get_lvalue (iter_parm, ctxt);
 	  set_value (parm_reg, arg_sval, ctxt);
 
 	  /* Also do it for default SSA name (sharing the same value).  */
 	  tree parm_default_ssa = ssa_default_def (fun, iter_parm);
 	  if (parm_default_ssa)
 	    {
-	      const region2 *defssa_reg = get_lvalue (parm_default_ssa, ctxt);
+	      const region *defssa_reg = get_lvalue (parm_default_ssa, ctxt);
 	      set_value (defssa_reg, arg_sval, ctxt);
 	    }
 	}
@@ -7721,18 +6494,18 @@ region_model2::push_frame (function *fun, vec<const svalue2 *> *arg_svals,
   return m_current_frame;
 }
 
-/* Get the function of the top-most frame in this region_model2's stack.
+/* Get the function of the top-most frame in this region_model's stack.
    There must be such a frame.  */
 
 function *
-region_model2::get_current_function () const
+region_model::get_current_function () const
 {
-  const frame_region2 *frame = get_current_frame ();
+  const frame_region *frame = get_current_frame ();
   gcc_assert (frame);
   return frame->get_function ();
 }
 
-/* Pop the topmost frame_region2 from this region_model2's stack;
+/* Pop the topmost frame_region from this region_model's stack;
 
    FIXME:
    If RESULT_DST_RID is non-null, copy any return value from the frame
@@ -7751,17 +6524,17 @@ region_model2::get_current_function () const
    Accumulate stats on purged entities into STATS.  */
 
 void
-region_model2::pop_frame (const region2 *result_dst_reg,
-			  bool purge, purge_stats2 *out,
-			  const svalue2 **out_result,
-			  region_model2_context *ctxt)
+region_model::pop_frame (const region *result_dst_reg,
+			  bool purge, purge_stats *out,
+			  const svalue **out_result,
+			  region_model_context *ctxt)
 {
   gcc_assert (m_current_frame);
 
   /* Evaluate the result, within the callee frame.  */
-  const frame_region2 *frame_reg = m_current_frame;
+  const frame_region *frame_reg = m_current_frame;
 #if 0
-  svalue2_id_set returned_svals;
+  svalue_id_set returned_svals;
 #endif
   tree fndecl = m_current_frame->get_function ()->decl;
   tree result = DECL_RESULT (fndecl);
@@ -7780,17 +6553,17 @@ region_model2::pop_frame (const region2 *result_dst_reg,
 	{
 #if 0
 	  /* Populate returned_svals, to avoid purging them.  */
-	  region2_id return_reg = model->get_lvalue (result, NULL);
-	  region2_id_set returned_regs (model);
+	  region_id return_reg = model->get_lvalue (result, NULL);
+	  region_id_set returned_regs (model);
 	  model->get_descendents (return_reg, &returned_regs,
-				  region2_id::null ());
-	  for (unsigned i = 0; i < model->get_num_region2s (); i++)
+				  region_id::null ());
+	  for (unsigned i = 0; i < model->get_num_regions (); i++)
 	    {
-	      region2_id rid = region2_id::from_int (i);
-	      if (returned_regs.region2_p (rid))
+	      region_id rid = region_id::from_int (i);
+	      if (returned_regs.region_p (rid))
 		{
-		  const svalue2 *sval = model->get_region2 (rid)->get_value_direct ();
-		  returned_svals.add_svalue2 (sid);
+		  const svalue *sval = model->get_region (rid)->get_value_direct ();
+		  returned_svals.add_svalue (sid);
 		}
 	    }
 #endif
@@ -7801,26 +6574,26 @@ region_model2::pop_frame (const region2 *result_dst_reg,
   m_current_frame = m_current_frame->get_calling_frame ();
 
 #if 1
-  unbind_region2_and_descendents (frame_reg,
+  unbind_region_and_descendents (frame_reg,
 				  POISON_KIND_POPPED_STACK,
 				  out,
 				  ctxt ? ctxt->get_logger () : NULL);
 #endif
 
-  /* Delete unused svalue2s, but don't delete the return value(s).  */
+  /* Delete unused svalues, but don't delete the return value(s).  */
 #if 0
   if (purge)
-    purge_unused_svalue2s (out, ctxt, &returned_svals);
+    purge_unused_svalues (out, ctxt, &returned_svals);
 #endif
 }
 
 
-/* Get the number of frames in this region_model2's stack.  */
+/* Get the number of frames in this region_model's stack.  */
 
 int
-region_model2::get_stack_depth () const
+region_model::get_stack_depth () const
 {
-  const frame_region2 *frame = get_current_frame ();
+  const frame_region *frame = get_current_frame ();
   if (frame)
     return frame->get_stack_depth ();
   else
@@ -7829,10 +6602,10 @@ region_model2::get_stack_depth () const
 
 /* FIXME.  */
 
-const frame_region2 *
-region_model2::get_frame_at_index (int index) const
+const frame_region *
+region_model::get_frame_at_index (int index) const
 {
-  const frame_region2 *frame = get_current_frame ();
+  const frame_region *frame = get_current_frame ();
   if (frame)
     {
       gcc_assert (index >= 0);
@@ -7851,45 +6624,45 @@ region_model2::get_frame_at_index (int index) const
 /* Get the function * at DEPTH within the call stack.  */
 #if 0
 function *
-region_model2::get_function_at_depth (unsigned depth) const
+region_model::get_function_at_depth (unsigned depth) const
 {
-  stack_region2 *stack = get_root_region2 ()->get_stack_region2 (this);
+  stack_region *stack = get_root_region ()->get_stack_region (this);
   gcc_assert (stack);
-  region2 *frame_reg = stack->get_frame_reg (depth);
-  frame_region2 *frame = get_region2 <frame_region2> (frame_reg);
+  region *frame_reg = stack->get_frame_reg (depth);
+  frame_region *frame = get_region <frame_region> (frame_reg);
   return frame->get_function ();
 }
 #endif
 
 /* Change the meaning of SID to be NEW_SVAL
    (e.g. when deferencing an unknown pointer, the pointer
-   becomes a pointer to a symbolic region2, so that all users
+   becomes a pointer to a symbolic region, so that all users
    of the former unknown pointer are now effectively pointing
-   at the same region2).  */
+   at the same region).  */
 #if 0
 void
-region_model2::replace_svalue2 (const svalue2 *sval, const svalue2 *new_sval)
+region_model::replace_svalue (const svalue *sval, const svalue *new_sval)
 {
   gcc_assert (!sid.null_p ());
   int idx = sid.as_int ();
 
-  gcc_assert (m_svalue2s[idx]);
-  gcc_assert (m_svalue2s[idx]->get_type () == new_sval->get_type ());
-  delete m_svalue2s[idx];
+  gcc_assert (m_svalues[idx]);
+  gcc_assert (m_svalues[idx]->get_type () == new_sval->get_type ());
+  delete m_svalues[idx];
 
-  m_svalue2s[idx] = new_sval;
+  m_svalues[idx] = new_sval;
 }
 #endif
 
-/* Helper class for region_model2::purge_unused_svalue2s.  */
+/* Helper class for region_model::purge_unused_svalues.  */
 
 #if 0
-class restrict_to_used_svalue2s : public purge_criteria
+class restrict_to_used_svalues : public purge_criteria
 {
 public:
-  restrict_to_used_svalue2s (const auto_sbitmap &used) : m_used (used) {}
+  restrict_to_used_svalues (const auto_sbitmap &used) : m_used (used) {}
 
-  bool should_purge_p (const svalue2 *sval) const FINAL OVERRIDE
+  bool should_purge_p (const svalue *sval) const FINAL OVERRIDE
   {
     gcc_assert (!sid.null_p ());
     return !bitmap_bit_p (m_used, sid.as_int ());
@@ -7899,17 +6672,17 @@ private:
   const auto_sbitmap &m_used;
 };
 
-/* Remove unused svalue2s from this model, accumulating stats into STATS.
-   Unused svalue2s are deleted.  Doing so could reorder the svalue2s, and
-   thus change the meaning of svalue2_ids.
+/* Remove unused svalues from this model, accumulating stats into STATS.
+   Unused svalues are deleted.  Doing so could reorder the svalues, and
+   thus change the meaning of svalue_ids.
 
-   If CTXT is non-NULL, then it is notified about svalue2 *remappings,
-   and about svalue2_ids that are about to be deleted.  This allows e.g.
-   for warning about resource leaks, for the case where the svalue2
+   If CTXT is non-NULL, then it is notified about svalue *remappings,
+   and about svalue_ids that are about to be deleted.  This allows e.g.
+   for warning about resource leaks, for the case where the svalue
    represents a resource handle in the user code (e.g. a FILE * or a malloc
    buffer).
 
-   Amongst other things, removing unused svalue2s is important for ensuring
+   Amongst other things, removing unused svalues is important for ensuring
    that the analysis of loops terminates.  Otherwise, we could generate a
    succession of models with unreferenced "unknown" values, where the
    number of redundant unknown values could grow without bounds, and each
